/*
 *  def_rc.c - Default configuration file for pakke
 *  Copyright (C) 1999-2002 by Richard Dawe
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "common.h"

const char pakkerc_default[] =
"# $Id: pakkerc,v 1.8 2002/06/23 20:28:31 richdawe Exp $\n"
"#\n"
"# pakkerc\n"
"# Default configuration file for pakke\n"
"# Written by Richard Dawe <richdawe@bigfoot.com>\n"
"#\n"
"# This file was automatically created by pakke's '--initdb' option. Please\n"
"# edit this file appropriately.\n"
"#\n"
"# Hashes are comments. Blank lines are ignored. The syntax is similar to\n"
"# English phrases as possible (inspired by fetchmail).\n"
"#\n"
"# @xxx@ denoted a special substitution for 'xxx'. If 'xxx' is not an internal\n"
"# substitution then the environment variable of the same name is used. The\n"
"# following substitutions are special:\n"
"#\n"
"#     @PAKKE-ROOT@, @PAKKE-DOWNLOAD@\n"
"#\n"
"# @PAKKE-ROOT@ should be used rather than @DJDIR@. @PAKKE-ROOT@ will be set\n"
"# to @DJDIR@ unless overriden with the '--root' command-line option.\n"
"#\n"
"# @PAKKE-DOWNLOAD@ will be expanded automatically to the place configured\n"
"# using the 'download' directive.\n"
"#\n"
"# All special substitutions will be terminated with a forward slash '/'.\n"
"#\n"
"# Case is important in this file! All statements should be lowercase, but\n"
"# user values should be in their normal case (e.g. paths). This file\n"
"# should only contain absolute paths or the current directory '.'.\n"
"\n"
"# Set these to the paths that pakke should look for manifest and DSM files.\n"
"# Leave these alone, unless you know what you are doing!\n"
"#\n"
"installed mft from @PAKKE-ROOT@manifest\n"
"installed dsm from @PAKKE-ROOT@share/pakke/db\n"
"available dsm from .,@PAKKE-ROOT@share/pakke/db-avail\n"
"\n"
"# Set these to the paths that pakke should look for packages.\n"
"# Leave these alone, unless you know what you are doing!\n"
"#\n"
"zip from .,@PAKKE-DOWNLOAD@\n"
"tar-gzip from .,@PAKKE-DOWNLOAD@\n"
"tar-bzip2 from .,@PAKKE-DOWNLOAD@\n"
"\n"
"# Set these to HTTP and FTP proxies used at your site. If you leave them\n"
"# like this, pakke will use the settings from the environment variables\n"
"# 'http_proxy' and 'ftp_proxy'.\n"
"#\n"
"proxy http using @http_proxy@\n"
"proxy ftp using @ftp_proxy@\n"
"\n"
"# To use fixed lists of FTP and HTTP mirrors, rather than selecting from\n"
"# a list of all Simtel.NET mirrors, uncomment and change these lines.\n"
"# HTTP is preferred to FTP. These URLs must include the path to the base\n"
"# of the DJGPP archive. E.g.:\n"
"#\n"
"# http from http://sunsite.org.uk/packages/simtelnet/gnu/djgpp/\n"
"# ftp from ftp://sunsite.org.uk/packages/simtelnet/gnu/djgpp/\n"
"\n"
"# Uncomment and change this line to the country domain name that you want\n"
"# to use for FTP and HTTP downloads. If 'ftp' and 'http' aren't configured,\n"
"# then a list of FTP and HTTP mirrors will be obtained from\n"
"# the list of all Simtel.NET mirrors.\n"
"#\n"
"# If 'location' is not configured, then the main Simtel.NET site\n"
"# will be used. Please set 'location', to use a mirror site!\n"
"#\n"
"#location is uk\n"
;
